Bug 132438 - linuxwacom-0.6.4-1 and xorg-x11-6.7.99.903-6 file conflict: /usr/X11R6/lib/modules/input/wacom_drv.o
linuxwacom-0.6.4-1 and xorg-x11-6.7.99.903-6 file conflict: /usr/X11R6/lib/mo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
: 132440 (view as bug list)
Depends On:
Blocks: 130007
  Show dependency treegraph
 
Reported: 2004-09-13 10:34 EDT by Tim Powers
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 02:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Powers 2004-09-13 10:34:21 EDT
/usr/X11R6/lib/modules/input/wacom_drv.o conflicts between linuxwacom-0.6.4-1 
and xorg-x11-6.7.99.903-6. I'm assuming that since we have the linuxwacom 
package that xorg-x11 shouldn't include that module anymore.

This conflict exists in current rawhide tree (13Sep2004). 

xorg-x11 either needs to be rebuilt or linuxwacom should not be shipped.
Comment 1 Tim Powers 2004-09-13 10:37:40 EDT
Setting severity to "high" since conflicts are considered a stop-ship.
Comment 2 Tim Powers 2004-09-13 10:51:23 EDT
*** Bug 132440 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2004-09-13 16:17:21 EDT
*** Bug 132440 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2004-09-14 03:14:33 EDT
We planned on shipping 'linuxwacom' in FC3, and removing the
"wacom" driver from xorg-x11, however I did not remove the driver
from xorg-x11 as I wanted the linuxwacom driver in-tree first, so
that wacom users didn't end up missing their driver and filing bug
reports.

I didn't know 'linuxwacom' was being put into FC3t2, so my last
xorg build still had the "wacom" driver in it.  Kristian has
conditionalized out "wacom" driver support in xorg-x11 CVS and
rebuilt a new package.
Comment 5 Mike A. Harris 2004-09-15 02:52:26 EDT
Fixed in latest xorg-x11 build by Kristian.


* Mon Sep 13 2004 Kristian Høgsberg <krh@redhat.com> - 6.8.0-2
- Add with_wacom_driver option and set it to 0 (#132438, #132440).

Note You need to log in before you can comment on or make changes to this bug.